restrictedservice

Full documentation for this service is available at /documentation/restrictedservice.

GetSellerItems |WebMethod|

Gets items for the current seller. Does not get any items with a start date which is in the future, regardless of parameter values.

Parameters
  1. categoryId, The Id of the category to look for items in (use 0 for all categories) eg. 344481 for test item category
  2. filterItemType, Item types to return: "All" "Auction" "PureBuyItNow" "ShopItem"
  3. filterActive, The filter to use: "All" = All, "Active" = Only active items (EndDate > NOW), "Inactive" = Only inactive items (EndDate < NOW) Can be overridden with either the minEndDate or maxEndate parameters.
  4. minEndDate, Will return items with EndDate > than this parameter. Either send NULL or a DateTime <= DateTime.MinValue (0001-01-01 00:00:00) if not used.
  5. maxEndDate, Will return items with EndDate < than this parameter. Either send NULL or a DateTime >= DateTime.MaxValue (9999-12-31 00:00:00) if not used.
  6. maxStartDate, Will return items with StartDate < than this parameter. Either send NULL or a DateTime. Default (when NULL is passed) is to use the current time, i.e. only return items that are started
Returns

Array of items

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/GetSellerItems"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetSellerItems xmlns="http://api.tradera.com">
      <categoryId>categoryId</categoryId>
      <filterItemType>filterItemType</filterItemType>
      <filterActive>filterActive</filterActive>
      <minEndDate>minEndDate</minEndDate>
      <maxEndDate>maxEndDate</maxEndDate>
      <maxStartDate>maxStartDate</maxStartDate>
    </GetSellerItems>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetSellerItemsResponse xmlns="http://api.tradera.com">
      <GetSellerItemsResult>Array of items</GetSellerItemsResult>
    </GetSellerItemsResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetSellerItems xmlns="http://api.tradera.com">
      <categoryId>categoryId</categoryId>
      <filterItemType>filterItemType</filterItemType>
      <filterActive>filterActive</filterActive>
      <minEndDate>minEndDate</minEndDate>
      <maxEndDate>maxEndDate</maxEndDate>
      <maxStartDate>maxStartDate</maxStartDate>
    </GetSellerItems>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetSellerItemsResponse xmlns="http://api.tradera.com">
      <GetSellerItemsResult>Array of items</GetSellerItemsResult>
    </GetSellerItemsResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/restrictedservice.asmx/GetSellerItems?appId=string&appKey=string&categoryId=string&filterItemType=string&filterActive=string&minEndDate=string&maxEndDate=string&maxStartDate=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetSellerItemsResult xmlns="http://api.tradera.com">Array of items</GetSellerItemsResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/restrictedservice.asmx/GetSellerItems HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&categoryId=string&filterItemType=string&filterActive=string&minEndDate=string&maxEndDate=string&maxStartDate=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetSellerItemsResult xmlns="http://api.tradera.com">Array of items</GetSellerItemsResult>